ArNetworking: ArServerInfoStrings Class Reference

- Main Page
- Classes
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArServerInfoStrings Class Reference

`#include <ArServerInfoStrings.h>`

List of all members.

## Detailed Description

This will set up strings to send to MobileEyes so that server developers can easily add more information. There are different ways ways you can add a string (they all are the same way internally). The raw way is addString which takes a functor with a buffer and a buffer len, the functor then has to fill in the string when called. The other ways are set up for convenience and are wrappers in this class around the addString, the other ways are addStringInt, addStringDouble, addStringBool, these all take a functor that returns the type and a format string (in addition to the name and maxLen again).

## Public Member Functions
void | addString (const char *name, ArTypes::UByte2 maxLen, ArFunctor2< char *, ArTypes::UByte2 > *functor)
| Adds a string to the list in the raw format.
| ArServerInfoStrings (ArServerBase *server)
| Constructor.
ArFunctor3< const char *, ArTypes::UByte2, ArFunctor2< char *, ArTypes::UByte2 > * > * | getAddStringFunctor (void)
| Gets the functor for adding a string (for ArStringInfoGroup).
void | netGetStrings (ArServerClient *client, ArNetPacket *packet)
| Gets the strings.
void | netGetStringsInfo (ArServerClient *client, ArNetPacket *packet)
| Gets the information about the strings being sent.
| ~ArServerInfoStrings ()
| Destructor.
## Protected Member Functions
void | buildStringsInfoPacket (void)
void | buildStringsPacket (void)
## Protected Attributes
ArFunctor3C< ArServerInfoStrings, const char *, ArTypes::UByte2, ArFunctor2< char *, ArTypes::UByte2 > * > | myAddStringFunctor
ArTime | myLastStringPacketBuild
ArTypes::UByte2 | myMaxMaxLength
ArFunctor2C< ArServerInfoStrings, ArServerClient *, ArNetPacket * > | myNetGetStringsCB
ArFunctor2C< ArServerInfoStrings, ArServerClient *, ArNetPacket * > | myNetGetStringsInfoCB
ArServerBase * | myServer
ArNetPacket | myStringInfoPacket
ArNetPacket | myStringPacket
std::list< ArStringInfoHolder * > | myStrings
ArMutex | myStringsMutex

The documentation for this class was generated from the following file:

- ArServerInfoStrings.h